% ----------------------------------------------------------------
%   DDSPARAM.M   DDS parameters display.
%   Manual DDS parameter display. Must be issued from the
%   MATLAB command line.
%
%   Input:	DDS input variables
%   Output:	Printed DDS simulation parameters on the MATLAB
%		console. Noting is plotted.
%   Calls:	---
%
%   Author: Martin Pechanec, Febraury 14, 1998
%           pechanec@iname.com
% ----------------------------------------------------------------

disp( 'DDSPARAM Parameters:');

sMessage = sprintf('    Tuning number:         iF = %g', iF );
disp( sMessage );

sMessage = sprintf('    Acumulator width:      iN = %g bits', iN );
disp( sMessage );

sMessage = sprintf('    Phase conversion bits: iP = %g bits', iP );
disp( sMessage );

sMessage = sprintf('    Truncated bits:        iQ = %g bits', iQ );
disp( sMessage );

sMessage = sprintf('    Quantization bits:     iB = %g bits', iB );
disp( sMessage );

sMessage = sprintf('    Phase offset:          Poff = %.4f phase step', Poff );
disp( sMessage );

sMessage = sprintf('    Amplitude offset:      Aoff = %.4f quant level', Aoff );
disp( sMessage );

sMessage = sprintf('    Dither polynomial deg: iDitPoly = %g', iDitPoly );
disp( sMessage );

sMessage = sprintf('    Dither width:          iDitBits = %g', iDitBits );
disp( sMessage );

sMessage = sprintf('    Driving frequency:     Fv = %.2f Hz\n', Fv );
disp( sMessage );

disp( '  Flags (0-No, 1-Yes):' );

sMessage = sprintf('    Phase truncation:  gTrunc = %g', gTrunc );
disp( sMessage );

sMessage = sprintf('    Amplitude quant:   gQuant = %g', gQuant );
disp( sMessage );

sMessage = sprintf('    Phase dithering:   gDit = %g', gDit );
disp( sMessage );

sMessage = sprintf('    Clear on line:     gClear = %g', gClear );
disp( sMessage );

sMessage = sprintf('    Stem PSD:          gStem = %g', gStem );
disp( sMessage );

sMessage = sprintf('    Augment PSD:       gAugment = %g', gAugment );
disp( sMessage );

sMessage = sprintf('    Shell run:         gShell = %g', gShell );
disp( sMessage );

sMessage = sprintf('    Print messages:    gPrintMsg = %g\n', gPrintMsg );
disp( sMessage );

disp( '  Time domain print parameters and flags (0-No, 1-Yes):' );

sMessage = sprintf('    Start sample:      iSampleStart = %g', iSampleStart );
disp( sMessage );

sMessage = sprintf('    End sample:        iSampleEnd = %g', iSampleEnd );
disp( sMessage );

sMessage = sprintf('    Phase:             gTPhase = %g', gTPhase );
disp( sMessage );

sMessage = sprintf('    Dithered phase:    gTDither = %g', gTDither );
disp( sMessage );

sMessage = sprintf('    Truncated phase:   gTTrunc = %g', gTTrunc );
disp( sMessage );

sMessage = sprintf('    Amplitude:         gTAmplitude = %g', gTAmplitude );
disp( sMessage );

sMessage = sprintf('    Quantized amp:     gTQuant = %g', gTQuant );
disp( sMessage );

sMessage = sprintf('    Vector index base: iIndBase = %g', iIndBase );
disp( sMessage );
