% ----------------------------------------------------------------
%   DDSTEXT.M   DDS create text field for printing into figure.
%   Module creates the string array, which is used to put
%   simulation parameters in to figure, in the plot itself
%   or by the plot.
%
%   Input:      DDS simulation parameters
%   Output:     rsText .. string array
%   Calls:      ---
%
%   Author: Martin Pechanec, Febraury 14, 1998
%           pechanec@iname.com
% ----------------------------------------------------------------

% -- Create the text strings according to the flags set
clear rsText;

iTind = 1;
rsText( iTind ) = { sprintf( 'F=%.0f tuning', iF ) };
iTind = iTind + 1;
rsText( iTind ) = { sprintf( 'F_d=%.0f', mod( iF, 2^iQ ) ) };
iTind = iTind + 1;
rsText( iTind ) = { sprintf( 'n=%.0f b accum', iN ) };
iTind = iTind + 1;

if 0 ~= gTrunc
  rsText( iTind ) = { sprintf( 'p=%.0f b phase', iP ) };
  iTind = iTind + 1;
  rsText( iTind ) = { sprintf( 'q=%.0f b trunc', iQ ) };
  iTind = iTind + 1;
end

if 0 ~= gQuant
  rsText( iTind ) = { sprintf( 'b=%.0f b quant', iB ) };
  iTind = iTind + 1;
end

if 0 ~= gDit
  rsText( iTind ) = { sprintf( 'dp=%.0f degree', iDitPoly ) };
  iTind = iTind + 1;
  rsText( iTind ) = { sprintf( 'db=%.0f b dither', iDitBits ) };
  iTind = iTind + 1;
end

rsText( iTind ) = { sprintf( '\\eta=%.2f phase off', Poff ) };
iTind = iTind + 1;

if 0 ~= gQuant
  rsText( iTind ) = { sprintf( 'a=%.2f amp off', Aoff ) };
  iTind = iTind + 1;
end

rsText( iTind ) = { sprintf( 'f_v=%g Hz driving', Fv ) };
iTind = iTind + 1;
rsText( iTind ) = { sprintf( 'f_o=%.4f Hz out', iF/(2^iN)*Fv ) };
iTind = iTind + 1;
rsText( iTind ) = { sprintf( 'A=%g rad', 2*pi/(2^iP) ) };
iTind = iTind + 1;
rsText( iTind ) = { sprintf( '\\mu=%g', (2^iQ)/gcd( iF, 2^iN ) ) };
iTind = iTind + 1;
