function moY = ddstrunc( iiQ, miX )
%Bit truncation
%   Y = DDSTRUNC(Q,X) truncates the integers of the matrix X by Q bits
%       by performing floor(X ./ 2^Q )

%   Author: Martin Pechanec, Febraury 14, 1998
%           pechanec@iname.com

% -- Check the input argument sizes
[iR,iC] = size( iiQ );
if ( iC ~= 1 | iR ~= 1 ),
  error( 'DDSTRUNC: Input Q cannot be a vector, integer is expected.' );
end;

if iiQ < 0,
  error( 'DDSTRUNC: Input Q must be positive integer.' );
end

% -- Truncate the phase, if input is zero, do nothing
if iiQ > 0,
  moY = floor( miX ./ 2^iiQ );
else
  moY = miX;
end
